Summary:	convert meta-languate to openttd's grf and/or nfo files
Name:		nml
Version:	0.7.6
Release:	1
License:	GPL v2
Group:		Applications
Source0:	https://github.com/OpenTTD/nml/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	fd26c9d416f3ceaa481fa293c190520b
URL:		https://dev.openttdcoop.org/projects/nml
BuildRequires:	python3-pillow
BuildRequires:	python3-ply
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	python3-pillow
Requires:	python3-ply
Requires:	python3-setuptools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A tool to convert a meta-language to grf and/or nfo files, making
newgrf coding easier.

%prep
%setup -q

%build
%{__make} -j1
%{__make} -j1 extensions

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py install \
	--skip-build \
	--optimize=2 \
	--prefix=%{_prefix} \
	--root=$RPM_BUILD_ROOT
install -D docs/nmlc.1 $RPM_BUILD_ROOT%{_mandir}/man1/nmlc.1

# The actual python code is not being installed?!?
install -d $RPM_BUILD_ROOT%{py3_sitescriptdir}/nml
cp -rp nml/* $RPM_BUILD_ROOT%{py3_sitescriptdir}/nml/

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nmlc
%doc docs/*.txt
%{_mandir}/man1/nmlc.1*
%{py3_sitedir}/*
%{py3_sitescriptdir}/%{name}/
%changelog
* Sun Feb 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nml.git;a=log;h=master

* Sun Feb 16 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3dbfa35
- up to 0.7.6

* Sat Apr 13 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c7a8037
- up to 0.7.5

* Sun Jul 02 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 316276a
- up to 0.7.4

* Mon May 22 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d5e1fa8
- up to 0.7.3

* Tue Apr 18 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f385b1f
- up to 0.7.2

* Sun Sep 11 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8689e9b
- up to 0.7.0

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 033ea66
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> ca90b3a
- rebuild with python 3.10

* Mon Oct 18 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c049de5
- up to 0.6.1

* Thu Aug 19 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 31a1eee
- up to 0.6.0

* Sun May 16 2021 Jan Rękorajski <baggins@pld-linux.org> 77c2f9a
- disable parallel build, breaks tests

* Sat May 15 2021 Jan Rękorajski <baggins@pld-linux.org> 517bd54
- add source md5 sums

* Sat May 01 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 91d8da5
- up to 0.5.3

* Tue Apr 08 2014 Jacek Konieczny <jajcus@jajcus.net> 2cf4ae7
- Version: 0.2.4

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 26f07e9
- updated to 0.2.3

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 84524fd
- package egg-info
- Requires: python-ply
- release 2

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> daa7bc7
- new

